#include "RTE_LINE_IN.h"
#include "GPIO_Config.h"

_LINE_IN_TriggerLevel_ Get_Line_In_MaintainWarning(void)
{
   _LINE_IN_TriggerLevel_  Res = LEVEL_LOW;
     /*if(Line_In_MaintainWarning == 1u)
    {
        Res = LEVEL_HIGH;
    }
    else
    {
        Res = LEVEL_LOW;
    }*/
    return Res;
}
_LINE_IN_TriggerLevel_ Get_Line_In_BrakeFluid(void)
{
    _LINE_IN_TriggerLevel_  Res = LEVEL_LOW;
    if(Line_In_BrakeFluid == 1u)
    {
        Res = LEVEL_HIGH;
    }
    else
    {
        Res = LEVEL_LOW;
    }
    return Res;
}

_LINE_IN_TriggerLevel_ Get_Line_In_OTA_Switch(void)
{
    
    _LINE_IN_TriggerLevel_  Res = LEVEL_LOW;
    if(Line_In_OTA_Switch == 1u)
    {
        Res = LEVEL_HIGH;
        
    }
    else
    {
        Res = LEVEL_LOW;
        
    }
    return Res;
}
_LINE_IN_TriggerLevel_ Get_Line_In_TRIP_Switch(void)
{
    _LINE_IN_TriggerLevel_  Res = LEVEL_LOW;
    if(Line_In_TRIP_Switch == 1u)
    {
        Res = LEVEL_HIGH;
    }
    else
    {
        Res = LEVEL_LOW;
    }
    return Res;
}
_LINE_IN_TriggerLevel_ Get_Line_In_SEATBELT_DR(void)
{
    _LINE_IN_TriggerLevel_  Res = LEVEL_LOW;
    if(Line_In_SEATBELT_DR == 1u)
    {
        Res = LEVEL_HIGH;
    }
    else
    {
        Res = LEVEL_LOW;
    }
    return Res;
}
_LINE_IN_TriggerLevel_ Get_Line_In_TurnLeft(void)
{
    _LINE_IN_TriggerLevel_  Res = LEVEL_LOW;
    if(Line_In_TurnLeft == 1u)
    {
        Res = LEVEL_HIGH;
    }
    else
    {
        Res = LEVEL_LOW;
    }
    return Res;
}
_LINE_IN_TriggerLevel_ Get_Line_In_TurnRight(void)
{
    _LINE_IN_TriggerLevel_  Res = LEVEL_LOW;
    if(Line_In_TurnRight == 1u)
    {
        Res = LEVEL_HIGH;
    }
    else
    {
        Res = LEVEL_LOW;
    }
    return Res;
}
_LINE_IN_TriggerLevel_ Get_Line_In_Hbeam(void)
{
    _LINE_IN_TriggerLevel_  Res = LEVEL_LOW;
    if(Line_In_Hbeam == 1u)
    {
        Res = LEVEL_HIGH;
    }
    else
    {
        Res = LEVEL_LOW;
    }
    return Res;
}
_LINE_IN_TriggerLevel_ Get_Line_In_Lbeam(void)
{
    _LINE_IN_TriggerLevel_  Res = LEVEL_LOW;
    if(Line_In_Lbeam == 1u)
    {
        Res = LEVEL_HIGH;
    }
    else
    {
        Res = LEVEL_LOW;
    }
    return Res;
}
_LINE_IN_TriggerLevel_ Get_Line_In_Position(void)
{
    _LINE_IN_TriggerLevel_  Res = LEVEL_LOW;
    if(Line_In_Position == 1u)
    {
        Res = LEVEL_HIGH;
    }
    else
    {
        Res = LEVEL_LOW;
    }
    return Res;
}
_LINE_IN_TriggerLevel_ Get_Line_In_RearFog(void)
{
    _LINE_IN_TriggerLevel_  Res = LEVEL_LOW;
    if(Line_In_RearFog == 1u)
    {
        Res = LEVEL_HIGH;
    }
    else
    {
        Res = LEVEL_LOW;
    }
    return Res;
}
_LINE_IN_TriggerLevel_ Get_Line_In_Daylight(void)
{
    _LINE_IN_TriggerLevel_  Res = LEVEL_LOW;
    if(Line_In_Daylight == 1u)
    {
        Res = LEVEL_HIGH;
    }
    else
    {
        Res = LEVEL_LOW;
    }
    return Res;
}
_LINE_IN_TriggerLevel_ Get_Line_In_Handbrake(void)
{
    _LINE_IN_TriggerLevel_  Res = LEVEL_LOW;
    if(Line_In_Handbrake == 1u)
    {
        Res = LEVEL_HIGH;
    }
    else
    {
        Res = LEVEL_LOW;
    }
    return Res;
}
_LINE_IN_TriggerLevel_ Get_Line_In_SOC_CC(void)
{
    _LINE_IN_TriggerLevel_  Res = LEVEL_LOW;
    if(Line_In_SOC_CC == 1u)
    {
        Res = LEVEL_HIGH;
    }
    else
    {
        Res = LEVEL_LOW;
    }
    return Res;
}
_LINE_IN_TriggerLevel_ Get_Line_In_DoorOpen(void)
{
    _LINE_IN_TriggerLevel_  Res = LEVEL_LOW;
    if(Line_In_DoorOpen == 1u)
    {
        Res = LEVEL_HIGH;
    }
    else
    {
        Res = LEVEL_LOW;
    }
    return Res;
}

_LINE_IN_TriggerLevel_ Get_Line_In_Energy_Recovery(void)//sh
{
    _LINE_IN_TriggerLevel_  Res = LEVEL_LOW;
    if(Line_In_Energy_Recovery == 1u)
    {
        Res = LEVEL_HIGH;
    }
    else
    {
        Res = LEVEL_LOW;
    }
    return Res;
}

_LINE_IN_TriggerLevel_ Get_Line_In_Energy_Recovery0(void)
{
    _LINE_IN_TriggerLevel_  Res = LEVEL_LOW;
    if(Line_In_Energy_Recovery0 == 1u)
    {
        Res = LEVEL_HIGH;
    }
    else
    {
        Res = LEVEL_LOW;
    }
    return Res;
}